# This file created by conda-build 3.27.0
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/ci/recipe, last modified Sun Dec 31 03:46:19 2023
# ------------------------------------------------

package:
  name: q2-cutadapt
  version: 2023.11.0.dev0+3.gc78541c
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  script: make install
  string: py38h7d6a6df_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hd590300_5
    - ca-certificates 2023.11.17 hbcca054_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnsl 2.0.1 hd590300_0
    - libsqlite 3.44.2 h2797004_0
    - libuuid 2.38.1 h0b41bf4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.0 hd590300_1
    - pip 23.3.2 pyhd8ed1ab_0
    - python 3.8.18 hd12c33a_1_cpython
    - readline 8.2 h8228510_1
    - setuptools 68.2.2 pyhd8ed1ab_0
    - tk 8.6.13 noxft_h4845f30_101
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - cutadapt >=3
    - numpy
    - pandas 1.5.3.*
    - pigz
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - q2-types 2023.11.*
    - qiime2 2023.11.*
test:
  commands:
    - py.test --pyargs q2_cutadapt
  imports:
    - q2_cutadapt
    - qiime2.plugins.cutadapt
  requires:
    - pytest
    - q2-types >=2023.11.0.dev0+2.g1827eab
    - qiime2 >=2023.11.0.dev0+15.g8ac7e3e
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
